<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flex Demo</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html, body {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
            justify-content: space-evenly;
            align-content: space-around;
        }

        #container>div {
            border: 1px solid purple;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #div1 {
            flex: 100%;
            order: 3;
            flex-basis: 100px;
            height: 100px;
        }

        #div2 {
            flex: 250px;
            order: 4;
            flex-basis: 100px;
        }

        #div3 {
            flex: 1;
            order: 1;
            flex-basis: 100px;
        }

        #div4 {
            flex: 1;
            order: 2;
            flex-basis: 500px;
            height: 200px;
        }

        #div5 {
            flex: 1;
            order: 5;
            flex-basis: 100px;
        }

    </style>
</head>
<body>
    <div id="container">
        <div id="div1">1</div>
        <div id="div2">2</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="div5">5</div>
    </div>
</body>
</html>